package org.jeecg.modules.plan.service;

import org.jeecg.modules.device.model.TimesStatistics;
import org.jeecg.modules.plan.entity.BuCheckRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.plan.modal.PlanStatistics;

import java.util.List;

/**
 * @Description: 检查记录表
 * @Author:
 * @Date:   2020-12-14
 * @Version: V1.0
 */
public interface IBuCheckRecordService extends IService<BuCheckRecord> {

    List<PlanStatistics> yearStatistics();

    List<PlanStatistics> monthStatistics(String queryYear);

    List<PlanStatistics> workStatistics();

    List<TimesStatistics> getTimesByDeviceId(String deviceId);

    BuCheckRecord getDataByDate(String startDate,String endDate);

}
